define(function () {
    'use strict';

    var mixin = {

        defaults: {

            options: {},
            pickerDefaultDateFormat: 'y/MM/dd', // ICU Date Format
            pickerDefaultTimeFormat: 'h:mm:ss a'

        }

    };

    return function (target) { // target == Result that Magento_Ui/.../columns returns.
        return target.extend(mixin); // new result that all other modules receive
    };
});